AuthType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.services, enum: AuthType

Package org.apache.hadoop.fs.azurebfs.services

# Enum Class AuthType

java.lang.Object
java.lang.Enum<AuthType>
org.apache.hadoop.fs.azurebfs.services.AuthType

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthType>`, `Constable`

public enum AuthType extends Enum<AuthType>
Auth Type Enum.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Custom`
  `OAuth`
  `SAS`
  `SharedKey`
  `UserboundSASWithOAuth`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AuthType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuthType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SharedKey

    public static final AuthType SharedKey

  - ### OAuth

    public static final AuthType OAuth

  - ### Custom

    public static final AuthType Custom

  - ### SAS

    public static final AuthType SAS

  - ### UserboundSASWithOAuth

    public static final AuthType UserboundSASWithOAuth

- ## Method Details

  - ### values

    public static AuthType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuthType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null